Bug 176199 - Pup crashes during dependency resolution
Pup crashes during dependency resolution
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2005-12-19 21:16 EST by Dee-Ann LeBlanc
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-04 21:18:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dee-Ann LeBlanc 2005-12-19 21:16:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Inside a vmware session I am trying to update the system. It is able to get the list of updates through pup just fine, but while it resolves the dependencies it crashes with no error information, so I have no idea of where the problem is. I tried removing over half the packages involved (a tedious operation given I have to do it one package at a time, can there be an unselect all button added?) and was able to get about 3/4 through before it crashed again. I would launch pup from the command line to see the error message there but rying this gives me:

Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

Traceback (most recent call last):
 File "/usr/share/pup/pupmain.py", line 4, in ?
   import gtk
 File "/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ?
   from _gtk import *
RuntimeError: could not open display

Yes, it's an X error but I've got X open and I assume the default GUI address even in vmware is :0.0 so ... *shrug*

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Choose System->System Settings->Package Updater
2. Enter root password
3. Pup downloads update information
4. Click Apply Updates
5. Crashes with no messages during dependency resolution

Actual Results:  Pup GUI interface closes silently.

Expected Results:  Dependencies resolved, move on to next update step.

Additional info:
Comment 1 Jeremy Katz 2005-12-22 13:03:47 EST
Can you try running it from a terminal instead so that you  can get better
debugging info?
Comment 2 Dee-Ann LeBlanc 2005-12-23 15:44:03 EST
When I try to run pup in runlevel 3, I get the same RuntimeError I reported
above. I can't run it from either a GUI console or runlevel 3, and it still
silently fails when trying to finish the dependency check when run from
System->System Settings->Package Updater.

Any other suggestions? I'd be happy to give you error data but it's hard when I
can't get any. :) Does pup log anywhere?
Comment 3 Jeremy Katz 2006-01-04 21:18:03 EST
This should be fixed now
Comment 4 David Lawrence 2006-06-27 21:46:38 EDT
Moving component to pirut. Sorry for the spam.

Note You need to log in before you can comment on or make changes to this bug.